/*
This demo will show you how to create a system in which hitting enter brings up an input control, and then hitting enter with
no text in the input will close it. This is useful for fast paced games, or just games that you want an intuitive control
system for.


The skin:

input
	ID = "chat"
	is-visible = "false"

macro
	key = "RETURN"
	command = "Toggle-input'




Now let us examine why this works. When an input is focused, but there is no text in it, hitting enter will call its macro rather
than calling the input control's command. While this is peculiar, it is exactly what we need to make this work! This may also work
for other keys, however, it will not work for any letter, number, or symbol key.

*/